Bug 240889 - grub cannot find disk
grub cannot find disk
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2007-05-22 13:29 EDT by Curtis Doty
Modified: 2008-05-06 15:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:37:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2007-05-22 13:29:07 EDT
System is new Dell Precision 390 with 2 320GB SATA disks with Intel ICH7 in AHCI
mode. Windows XP pre-installed on sda. Attempt to install Fedora on sdb with
grub in MBR on sda.

Anaconda failed to update the MBR and the system still boots to Windows. :-(

A clue appears in tty5:

grub> root (hd1,0)

Error 21: Selected disk does not exist
grub> install /grub/stage1 d (hd0) /grub/stage2 p (hd1,0)/grub/grub.conf

Error 12: Invalid device requested

Now it gets interesting... If I run grub in the shell on tty2, it *will* find
root (hd1,0) and then I can install grub into the MBR on (hd0).
Comment 1 Curtis Doty 2007-05-22 14:09:04 EDT
FWIW...just tested rawhide. No error in tty5. It finds (hd1,0) just fine.
Comment 2 Jeremy Katz 2007-10-22 20:07:35 EDT
Does this still happen with Fedora 7 or the Fedora 8 test releases?
Comment 3 Bug Zapper 2008-04-04 03:16:34 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:36:58 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.